UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.LBMSourceEventSequenceNumberInfo Class Reference

LBM Source Event Sequence Number Info class. More...

## Public Member Functions
| LBMSourceEventSequenceNumberInfo ()
| Creates an LBMSourceEventSequenceNumberInfo object with all fields initialized to 0/null.
| LBMSourceEventSequenceNumberInfo (int flags, uint firstSeqNum, uint lastSeqNum, object clientd)
| Creates an LBMSourceEventSequenceNumberInfo with fields initialized to the given values. More...
int | flags ()
| Get sequence number message flags. More...
uint | firstSequenceNumber ()
| Get the first sequence number. More...
uint | lastSequenceNumber ()
| Get the last sequence number. More...
object | clientObject ()
| Get the client-supplied callback object. More...

## Detailed Description

LBM Source Event Sequence Number Info class.

Contains first and last sequence numbers and client-supplied callback object.

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMSourceEventSequenceNumberInfo.LBMSourceEventSequenceNumberInfo | ( | int | flags,
|  | uint | firstSeqNum,
|  | uint | lastSeqNum,
|  | object | clientd
| ) |  |

Creates an LBMSourceEventSequenceNumberInfo with fields initialized to the given values.

Parameters

  flags | Flags concerning when sequence number messages are sent.
  firstSeqNum | First sequence number (must be >= 0).
  lastSeqNum | Last sequence number (must be >= 0).
  clientd | Client-supplied callback object.

Exceptions

  com.latencybusters.lbm.LBMEInvalException | First sequence number was < 0.
  com.latencybusters.lbm.LBMEInvalException | Last sequence number was < 0.

## Member Function Documentation

object com.latencybusters.lbm.LBMSourceEventSequenceNumberInfo.clientObject | ( |  | ) |

Get the client-supplied callback object.

Returns
  Client-supplied object.

uint com.latencybusters.lbm.LBMSourceEventSequenceNumberInfo.firstSequenceNumber | ( |  | ) |

Get the first sequence number.

Returns
  The first sequence number.

int com.latencybusters.lbm.LBMSourceEventSequenceNumberInfo.flags | ( |  | ) |

Get sequence number message flags.

Returns
  Flags indicating when sequence number messages are sent.

uint com.latencybusters.lbm.LBMSourceEventSequenceNumberInfo.lastSequenceNumber | ( |  | ) |

Get the last sequence number.

Returns
  The last sequence number.

The documentation for this class was generated from the following file:

- LBMSourceEventSequenceNumberInfo.cs